org.apache.torque.templates.transformer.om

## Enum EnumValueAttributeName

- java.lang.Object
- - java.lang.Enum<EnumValueAttributeName>
  - - org.apache.torque.templates.transformer.om.EnumValueAttributeName

- All Implemented Interfaces:
    Serializable, Comparable<EnumValueAttributeName>, SourceAttributeName

      public enum EnumValueAttributeName
      extends Enum<EnumValueAttributeName>
      implements SourceAttributeName

  Contains the attributes for a enum-value source element which are not defined in the Torque schema.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JAVA_VALUE` The java value of the enum Attribute.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the name of the referenced source element attribute.
    `String` | `toString()`
    `static EnumValueAttributeName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EnumValueAttributeName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JAVA_VALUE

          public static final EnumValueAttributeName JAVA_VALUE

      The java value of the enum Attribute.

  - ### Method Detail

    - #### values

          public static EnumValueAttributeName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumValueAttributeName c : EnumValueAttributeName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumValueAttributeName valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Returns the name of the referenced source element attribute.
      Specified by:
        `getName` in interface `SourceAttributeName`
      Returns:
        the name of the referenced source element attribute.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<EnumValueAttributeName>`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.